package org.gcube.portlets.user.geoportaldataviewer.client.ui.products.concessioni;

import org.gcube.portlets.user.geoportaldataviewer.client.GeoportalDataViewerConstants;
import org.gcube.portlets.user.geoportaldataviewer.client.ui.util.CustomFlexTable;
import org.gcube.portlets.user.geoportaldataviewer.shared.products.model.RelazioneScavoDV;

import com.github.gwtbootstrap.client.ui.Paragraph;
import com.google.gwt.core.client.GWT;
import com.google.gwt.uibinder.client.UiBinder;
import com.google.gwt.uibinder.client.UiField;
import com.google.gwt.user.client.ui.Composite;
import com.google.gwt.user.client.ui.HTMLPanel;
import com.google.gwt.user.client.ui.Widget;

public class RelazioneScavoView extends Composite {

	private static RelazioneScavoViewUiBinder uiBinder = GWT.create(RelazioneScavoViewUiBinder.class);

	interface RelazioneScavoViewUiBinder extends UiBinder<Widget, RelazioneScavoView> {
	}
	
	@UiField
	HTMLPanel relazioneScavoPanel;
	
	@UiField
	Paragraph abstractParagraph;
	
	private CustomFlexTable customTable = new CustomFlexTable();
	
	
	public RelazioneScavoView(RelazioneScavoDV relazioneScavoDV) {
		initWidget(uiBinder.createAndBindUi(this));
		
		if(relazioneScavoDV.getAbstractSection()!=null)
			abstractParagraph.setText(relazioneScavoDV.getAbstractSection());
		
		//customTable.addNextKeyValue("Created", relazioneScavoDV.getCreationTime());
		customTable.addNextKeyValue("ID Licenza", relazioneScavoDV.getLicenseID());
		customTable.addNextKeyValues("Responsabili", relazioneScavoDV.getResponsabili(), GeoportalDataViewerConstants.NEW_LINE_BR);
		relazioneScavoPanel.add(customTable);
	}
		
}
