package org.gcube.portlets.user.geoportaldataviewer;

import org.gcube.application.geoportal.client.legacy.ConcessioniManager;
import org.gcube.application.geoportal.common.model.legacy.Concessione;
import org.gcube.common.authorization.library.provider.SecurityTokenProvider;
import org.gcube.common.scope.api.ScopeProvider;
import org.gcube.portlets.user.geoportaldataviewer.server.ConvertToDataViewModel;
import org.gcube.portlets.user.geoportaldataviewer.shared.products.ConcessioneDV;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

public class GetConcessione {
	
	private static final Logger LOG = LoggerFactory.getLogger(GetConcessione.class);

	private static final String YOUR_TOKEN = "";
	
	public static String SCOPE = "/gcube/devsec/devVRE";
	public static long concessioneId = 8;
	
	public static ConcessioneDV getConcessioneForId(Long id) throws Exception{
		LOG.info("getConcessioneForId "+id+ "called");
		
		ConcessioneDV concessionDV = null;
			
		if(id==null)
			throw new Exception("Invalid parameter. The Id is null");
		
		try {
			LOG.info("Trying to get record for id "+id);
			Concessione concessione = new ConcessioniManager().getById(id+"");
			LOG.info("For id "+id+", got concessione "+concessione);
			LOG.info("Immagini Rappresentative are: "+concessione.getImmaginiRappresentative());
			LOG.info("Relazione scavo: "+concessione.getRelazioneScavo());
			LOG.info("Pianta Fine scavo: "+concessione.getPianteFineScavo());
			LOG.info("Posizionamento scavo: "+concessione.getPosizionamentoScavo());
			
			if(concessione !=null) {
				concessionDV = ConvertToDataViewModel.toConcessione(concessione);
			}
			
			if(concessionDV==null)
				throw new Exception("Concessione not retrieved");
			
			return concessionDV;
			
		}catch (Exception e) {
			String erroMsg = Concessione.class.getSimpleName() +" with id "+id+" not available";
			LOG.error(erroMsg,e);
			throw new Exception(erroMsg);
		}
		
	}
	
	public static void main(String[] args) throws Exception {
		ScopeProvider.instance.set(SCOPE);
		SecurityTokenProvider.instance.set(YOUR_TOKEN);
		LOG.info("Trying to get record for id "+concessioneId);
		ConcessioneDV concessione = getConcessioneForId(concessioneId);
		LOG.info("Got record for id "+concessione);
	}


}
